<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_f7f8f9">
    <FrameLayout
        android:id="@+id/fl_toolbar"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white">
        <include
            android:id="@+id/toolbar_include"
            layout="@layout/common_toolbar_layout" />
    </FrameLayout>


    <View
        android:id="@+id/view_bg"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_249"
        android:background="@color/white"
        app:layout_constraintTop_toBottomOf="@+id/fl_toolbar"/>

    <com.cooleshow.base.widgets.RoundProgressBar
        android:id="@+id/progess"
        android:layout_width="@dimen/dp_188"
        android:layout_height="@dimen/dp_188"
        android:layout_marginTop="@dimen/dp_29"
        app:backColor="#ffffff"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/fl_toolbar"
        app:roundColor="@color/white"
        app:roundProgressColor="@color/colorPrimaryStudent"
        app:roundWidth="@dimen/dp_15"
        app:startAngle="270"
        app:textColor="@color/black"
        app:textSize="@dimen/dp_38" />


    <LinearLayout
        android:id="@+id/ll_device"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_12"
        android:layout_marginTop="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_12"
        android:background="@drawable/bg_white_10dp"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        app:layout_constraintTop_toBottomOf="@+id/view_bg">


        <ImageView
            android:layout_width="@dimen/dp_20"
            android:layout_height="@dimen/dp_20"
            android:layout_marginLeft="@dimen/dp_14"
            android:background="@drawable/icon_device_initialize" />

        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center_vertical"
            android:paddingLeft="@dimen/dp_12"
            android:paddingTop="@dimen/dp_13"
            android:paddingBottom="@dimen/dp_12"
            android:text="设备初始化"
            android:textColor="@color/black_444"
            android:textSize="@dimen/dp_16" />

        <ImageView
            android:id="@+id/iv_one"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="@dimen/dp_18"
            android:src="@drawable/icon_network_normal"
            android:visibility="gone" />

        <com.cooleshow.base.widgets.loading.SpinKitView
            android:id="@+id/sk_one"
            style="@style/SpinKitView.Small.FadingCircle"
            android:layout_width="@dimen/dp_30"
            android:layout_height="@dimen/dp_30"
            android:layout_marginRight="@dimen/dp_18"
            app:SpinKit_Color="@color/color_999999"
            app:SpinKit_Style="ThreeBounce" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_root"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toBottomOf="@+id/ll_device"
        android:layout_marginLeft="@dimen/dp_12"
        android:layout_marginTop="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_12"
        android:background="@drawable/bg_white_10dp"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            android:layout_width="@dimen/dp_20"
            android:layout_height="@dimen/dp_20"
            android:layout_marginLeft="@dimen/dp_14"
            android:background="@drawable/icon_root_initialize" />
        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center_vertical"
            android:paddingLeft="@dimen/dp_12"
            android:paddingTop="@dimen/dp_13"
            android:paddingBottom="@dimen/dp_12"
            android:text="路由环境检测"
            android:textColor="@color/black_444"
            android:textSize="@dimen/dp_16" />

        <ImageView
            android:id="@+id/iv_two"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/dp_18"
            android:src="@drawable/ic_network_error"
            android:visibility="gone" />

        <com.cooleshow.base.widgets.loading.SpinKitView
            android:id="@+id/sk_two"
            style="@style/SpinKitView.Small.FadingCircle"
            android:layout_width="@dimen/dp_30"
            android:layout_height="@dimen/dp_30"
            android:visibility="gone"
            android:layout_marginRight="@dimen/dp_18"
            app:SpinKit_Color="@color/color_999999"
            app:SpinKit_Style="ThreeBounce" />
    </LinearLayout>


    <LinearLayout
        android:id="@+id/ll_line"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center_vertical"
        app:layout_constraintTop_toBottomOf="@+id/ll_root"
        android:layout_marginLeft="@dimen/dp_12"
        android:layout_marginTop="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_12"
        android:background="@drawable/bg_white_10dp"
        android:orientation="horizontal">
        <ImageView
            android:layout_width="@dimen/dp_20"
            android:layout_height="@dimen/dp_20"
            android:layout_marginLeft="@dimen/dp_14"
            android:background="@drawable/icon_line_initialize" />

        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center_vertical"
            android:paddingLeft="@dimen/dp_12"
            android:paddingTop="@dimen/dp_13"
            android:paddingBottom="@dimen/dp_12"
            android:text="线路检测"
            android:textColor="@color/black_444"
            android:textSize="@dimen/dp_16" />

        <ImageView
            android:id="@+id/iv_three"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/dp_18"
            android:src="@drawable/ic_network_error"
            android:visibility="gone" />

        <com.cooleshow.base.widgets.loading.SpinKitView
            android:id="@+id/sk_three"
            style="@style/SpinKitView.Small.FadingCircle"
            android:layout_width="@dimen/dp_30"
            android:layout_height="@dimen/dp_30"
            android:layout_marginRight="@dimen/dp_18"
            android:visibility="gone"
            app:SpinKit_Color="@color/color_999999"
            app:SpinKit_Style="ThreeBounce" />
    </LinearLayout>


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center_vertical"
        app:layout_constraintTop_toBottomOf="@+id/ll_line"
        android:layout_marginLeft="@dimen/dp_12"
        android:layout_marginTop="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_12"
        android:background="@drawable/bg_white_10dp"
        android:orientation="horizontal">
        <ImageView
            android:layout_width="@dimen/dp_20"
            android:layout_height="@dimen/dp_20"
            android:layout_marginLeft="@dimen/dp_14"
            android:background="@drawable/icon_line_test_initialize" />

        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center_vertical"
            android:paddingLeft="@dimen/dp_12"
            android:paddingTop="@dimen/dp_13"
            android:paddingBottom="@dimen/dp_12"
            android:text="模拟测试"
            android:textColor="@color/black_444"
            android:textSize="@dimen/dp_16" />

        <ImageView
            android:id="@+id/iv_four"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/dp_18"
            android:src="@drawable/ic_network_error"
            android:visibility="gone" />

        <com.cooleshow.base.widgets.loading.SpinKitView
            android:id="@+id/sk_four"
            style="@style/SpinKitView.Small.FadingCircle"
            android:layout_width="@dimen/dp_30"
            android:layout_height="@dimen/dp_30"
            android:layout_marginRight="@dimen/dp_18"
            android:visibility="gone"
            app:SpinKit_Color="@color/color_999999"
            app:SpinKit_Style="ThreeBounce" />
    </LinearLayout>


</androidx.constraintlayout.widget.ConstraintLayout>